import 'package:flutter/material.dart';

class TextForm extends StatelessWidget {
  const TextForm(
      {this.onSaved,
      this.validator,
      this.labelText,
      this.onChanged,
      this.icon,
      this.initialValue,
      this.keyboardType,
      this.enabled,
      Key key})
      : super(key: key);

  final Function(String) onSaved;
  final Function(String) onChanged;

  final Function(String) validator;
  final String labelText;
  final Icon icon;
  final String initialValue;
  final TextInputType keyboardType;
  final bool enabled;

  @override
  Widget build(BuildContext context) {
    return TextFormField(
      enabled: enabled,
      keyboardType: keyboardType,
      initialValue: initialValue,
      onSaved: onSaved,
      onChanged: onChanged,
      validator: validator,
      decoration: InputDecoration(
        filled: true,
        enabledBorder: UnderlineInputBorder(
            borderRadius: BorderRadius.circular(20),
            borderSide: BorderSide.none),
        focusedBorder: OutlineInputBorder(
          borderRadius: BorderRadius.circular(20),
          borderSide: BorderSide(
            color: Colors.blueGrey,
            width: 1.0,
          ),
        ),
        labelText: labelText,
        prefixIcon: icon,
        contentPadding:
            const EdgeInsets.symmetric(vertical: 7.0, horizontal: 10),
      ),
    );
  }
}
